プロジェクトを削除する
DELETE https://deploygate.com/api/organizations/{PROJECT_NAME}
注意点
- プロジェクトを削除すると、プロジェクト内に存在するすべてのチームとアプリケーションも削除されます
- Startup, Business, Large Business プランをご契約状態のプロジェクトは、そのまま削除することはできません。事前にプランをご解約いただく必要があります。ご解約方法はお支払い方法(クレジットカード/請求書)によって異なります
- プロジェクトのAPIキーではご利用いただけません。プロジェクトのオーナーであるユーザーのAPIキーをご利用ください
Path Params
| Name | Type | Required | Description |
|---|---|---|---|
| PROJECT_NAME | string | true | プロジェクト名 |
Example
curl \
-X DELETE \
--url "https://deploygate.com/api/organizations/${PROJECT_NAME}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${API_TOKEN}"
Result 200
{
"error": false,
"results": {
"message": "The organization was removed successfully"
}
}
Result 403 - プロジェクトのAPIキーでアクセスした場合
{
"invalid_params": null,
"message": "Only User API keys are allowed",
"error": true,
"because": "Only User API keys are allowed",
"error_type": "non_user_api_key"
}
Result 403 - オーナーではないユーザーのAPIキーでアクセスした場合
{
"invalid_params": null,
"message": "this actor does not have permission to perform this action.",
"error": true,
"because": "this actor does not have permission to perform this action.",
"error_type": "forbidden_action"
}
Result 404
{
"invalid_params": null,
"message": "Organization not found",
"error": true,
"because": "Organization not found",
"error_type": "common_not_found"
}